<?php 
/**
 * Файл: ./main_classes.php
 * &copy; 2005-2008 ООО "Хостмэйк"
 *
 * @author Hostmake Ltd
 * @version 5.0
 * @access private
 */

define('CMS_FOLDER', dirname(__FILE__) . '/');

// ini_set("memory_limit", "32M");

/*
Если выдается сообщение «Ошибка соединения с БД»
1. Проверить содержание и наличие config_db.php
2. Проверить, что содержит константа CMS_FOLDER.
Проверить можно, выведя ее значение командой echo CMS_FOLDER;

Если директория не соответствует реальному полному пути - необходимо закомментировать define('CMS_FOLDER', ...
и прописать полный путь следующим образом (пример для Windows машины):
// Директория CMS
define('CMS_FOLDER','c:\mydir\mysite\\'); // Двойной слэш в конце, чтобы не экранировать апостроф

Пример для Unix машины
// Директория CMS
define('CMS_FOLDER','/home/user1/dir1/htdocs/'); 
*/

/* Константа запрещает выполнение ini_set, по умолчанию false - разрешено */
define('DENY_INI_SET', false);

/* Запрещаем устанвоку локали, указанной в параметрах сайта */
// define('ALLOW_SET_LOCALE', false);

setlocale (LC_NUMERIC, "POSIX");

if (!defined('DENY_INI_SET') || (defined('DENY_INI_SET') && !DENY_INI_SET))
{
	/* Включаем вывод ошибок вместе с результатом работы скрипта */
	ini_set('display_errors', 1);
	
	set_magic_quotes_runtime(0);

	ini_set('magic_quotes_gpc', 0);

	ini_set('magic_quotes_sybase', 0);
	
	ini_set("register_globals", 0);
}

/* Решение проблемы trict Standards: Implicit cloning object of class 'kernel' because of 'zend.ze1_compatibility_mode' */
if (PHP_VERSION > 5 && !defined('DENY_INI_SET') || (defined('DENY_INI_SET') && !DENY_INI_SET))
{
	ini_set('zend.ze1_compatibility_mode', 0);
}

if (PHP_VERSION > 5 && function_exists('date_default_timezone_set'))
{
	date_default_timezone_set(date_default_timezone_get());
}

// Подключаем файл конфигурации, если он есть
if (is_file($config_path = CMS_FOLDER . 'config_db.php'))
{
	require_once($config_path);
}

// Константа, определяющая возможность внесения изменений на сайт из раздела администрирования
// define ('READ_ONLY', true);

define('CACHE_DIR',CMS_FOLDER.'cache/');

define('PAGE_DIR',CMS_FOLDER.'documents/');

// Глобальный массив для определения языка
global $g_lng;

$g_lng = array();
$g_lng['ru'] = 'Русский';
// $g_lng['en'] = 'Английский';

require_once(CMS_FOLDER."modules/Kernel/Kernel.php");

/* Используется при отображении ??? в резульатае работы системы при использовании MySQL 4.1 */
/*
mysql_query ("SET NAMES 'cp1251'");
mysql_query ("SET SESSION character_set_results = 'cp1251'");
mysql_query ("SET collation_connection = 'cp1251_general_ci'");
mysql_query ("SET character_set_results = 'cp1251'");
mysql_query ("SET character_set_client = 'cp1251'");
*/

// Fix bug "Incorrect integer value: '' for column '' at row"
// mysql_query ("SET sql_mode = ''");

/* Устанавливаем локаль для Windows машин */
// setlocale(LC_ALL, array ('ru_RU.CP1251','rus_RUS.1251'));

// Метод удаляет добавленные слэши при magic_quotes_gpc = on и невозможности отключить через директивы php_flag *
$kernel = & singleton('kernel');
$kernel->strips();

$GLOBALS['gAdminSubMenu'][0]['name'] = 'Структура сайта';
$GLOBALS['gAdminSubMenu'][0]['image'] = '/admin/images/structure.gif';

$GLOBALS['gAdminSubMenu'][1]['name'] = 'Сервисы';
$GLOBALS['gAdminSubMenu'][1]['image'] = '/admin/images/service.gif';

$GLOBALS['gAdminSubMenu'][2]['name'] = 'Пользователи';
$GLOBALS['gAdminSubMenu'][2]['image'] = '/admin/images/users.gif';

$GLOBALS['gAdminSubMenu'][3]['name'] = 'Системные функции';
$GLOBALS['gAdminSubMenu'][3]['image'] = '/admin/images/system.gif';

?>